package main

test_athena_results_unencrypted_invalid {
    i := data.mock.non_compliant_athena
    r1 := warn_athena_results_unencrypted with input as i with data.config.warn_mode as []
    count(r1) == 0
    r2 := warn_athena_results_unencrypted with input as i with data.config.warn_mode as ["athena_results_unencrypted"]
    count(r2) == 1
    r3 := deny_athena_results_unencrypted with input as i with data.config.warn_mode as []
    count(r3) == 1
    r4 := deny_athena_results_unencrypted with input as i with data.config.warn_mode as ["athena_results_unencrypted"]
    count(r4) == 0
    count(r1) + count(r2) == 1 # Warning mode is off
    count(r3) + count(r4) == 1 # Warning mode is on
}

test_athena_results_unencrypted_valid {
    i := data.mock.compliant_athena
    r1 := warn_athena_results_unencrypted with input as i with data.config.warn_mode as []
    r2 := warn_athena_results_unencrypted with input as i with data.config.warn_mode as ["athena_results_unencrypted"]
    r3 := deny_athena_results_unencrypted with input as i with data.config.warn_mode as []
    r4 := deny_athena_results_unencrypted with input as i with data.config.warn_mode as ["athena_results_unencrypted"]
    count(r1) + count(r2) + count(r3) + count(r4) == 0
}