package main

test_kinesis_unencrypted_invalid {
    i := data.mock.demo_non_compliant_kinesis
    r1 := warn_kinesis_unencrypted with input as i with data.config.warn_mode as []
    count(r1) == 0
    r2 := warn_kinesis_unencrypted with input as i with data.config.warn_mode as ["kinesis_unencrypted"]
    count(r2) == 1
    r3 := deny_kinesis_unencrypted with input as i with data.config.warn_mode as []
    count(r3) == 1
    r4 := deny_kinesis_unencrypted with input as i with data.config.warn_mode as ["kinesis_unencrypted"]
    count(r4) == 0
    count(r1) + count(r2) == 1 # Warning mode is off
    count(r3) + count(r4) == 1 # Warning mode is on
}

test_kinesis_unencrypted_valid {
    i := data.mock.demo_compliant_kinesis
    r1 := warn_kinesis_unencrypted with input as i with data.config.warn_mode as []
    r2 := warn_kinesis_unencrypted with input as i with data.config.warn_mode as ["kinesis_unencrypted"]
    r3 := deny_kinesis_unencrypted with input as i with data.config.warn_mode as []
    r4 := deny_kinesis_unencrypted with input as i with data.config.warn_mode as ["kinesis_unencrypted"]
    count(r1) + count(r2) + count(r3) + count(r4) == 0
}