package main

test_valid_ebs_dataset {
    i := data.mock.valid_ebs_volume
    r1 := deny_ebs_unencrypted with input as i with data.config.warn_mode as []
    total_result = count([c | c := r1[_]])
    total_result == 0
    r2 := warn_ebs_unencrypted with input as i with data.config.warn_mode as []
    total_result = count([c | c := r2[_]])
    total_result == 0
    r3 := warn_ebs_unencrypted with input as i with data.config.warn_mode as ["ebs_unencrypted"]
    total_result = count([c | c := r3[_]])
    total_result == 0
    r4 := deny_ebs_unencrypted with input as i with data.config.warn_mode as ["ebs_unencrypted"]
    total_result = count([c | c := r4[_]])
    total_result == 0
}

test_invalid_ebs_dataset {
    i := data.mock.invalid_ebs_volume
    r1 := deny_ebs_unencrypted with input as i with data.config.warn_mode as []
    r1_result = count([c | c := r1[_]])
    r1_result == 2
    r2 := warn_ebs_unencrypted with input as i with data.config.warn_mode as []
    r2_result = count([c | c := r2[_]])
    r2_result == 0
    r3 := warn_ebs_unencrypted with input as i with data.config.warn_mode as ["ebs_unencrypted"]
    r3_result = count([c | c := r3[_]])
    r3_result == 2
    r4 := deny_ebs_unencrypted with input as i with data.config.warn_mode as ["ebs_unencrypted"]
    r4_result = count([c | c := r4[_]])
    r4_result == 0
}