package main

test_alb_access_logs_invalid {
    i := data.mock.invalid_alb_access_logs
    r1 := warn_alb_access_logs with input as i with data.config.warn_mode as []
    count(r1) == 0
    r2 := warn_alb_access_logs with input as i with data.config.warn_mode as ["alb_access_logs"]
    count(r2) == 1
    r3 := deny_alb_access_logs with input as i with data.config.warn_mode as []
    count(r3) == 1
    r4 := deny_alb_access_logs with input as i with data.config.warn_mode as ["alb_access_logs"]
    count(r4) == 0
    count(r1) + count(r2) == 1 # Warning mode is off
    count(r3) + count(r4) == 1 # Warning mode is on
}

test_alb_access_logs_valid {
    i := data.mock.valid_alb_access_logs
    r1 := warn_alb_access_logs with input as i with data.config.warn_mode as []
    r2 := warn_alb_access_logs with input as i with data.config.warn_mode as ["alb_access_logs"]
    r3 := deny_alb_access_logs with input as i with data.config.warn_mode as []
    r4 := deny_alb_access_logs with input as i with data.config.warn_mode as ["alb_access_logs"]
    count(r1) + count(r2) + count(r3) + count(r4) == 0
}