package kubernetes

test_pdb_invalid_int {
    i := data.mock.pdb_invalid_int

    r1 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r1) == 1
    r2 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r2) == 1
    r3 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r3) == 1
    r4 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r4) == 1
    count(r1) + count(r2) + count(r3) + count(r4) == 4
}

test_pdb_invalid_percent {
    i := data.mock.pdb_invalid_percent

    r1 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r1) == 1
    r2 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r2) == 1
    r3 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r3) == 1
    r4 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r4) == 1
    count(r1) + count(r2) + count(r3) + count(r4) == 4
}

test_pdb_valid_int {
    i := data.mock.pdb_valid_int

    r1 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r1) == 0
    r2 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r2) == 0
    r3 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r3) == 0
    r4 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r4) == 0
    count(r1) + count(r2) + count(r3) + count(r4) == 0
}

test_pdb_valid_int {
    i := data.mock.pdb_valid_percent

    r1 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r1) == 0
    r2 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r2) == 0
    r3 := deny_misconfigured_pdb with input as i with data.config.warn_mode as []
    count(r3) == 0
    r4 := warn_misconfigured_pdb with input as i with data.config.warn_mode as ["misconfigured_pdb"]
    count(r4) == 0
    count(r1) + count(r2) + count(r3) + count(r4) == 0
}