package main

test_lambda_without_vpc_invalid {
    i := data.mock.invalid_lambda_without_vpc
    r1 := warn_lambda_without_vpc with input as i with data.config.warn_mode as []
    count(r1) == 0
    r2 := warn_lambda_without_vpc with input as i with data.config.warn_mode as ["lambda_without_vpc"]
    count(r2) == 1
    r3 := deny_lambda_without_vpc with input as i with data.config.warn_mode as []
    count(r3) == 1
    r4 := deny_lambda_without_vpc with input as i with data.config.warn_mode as ["lambda_without_vpc"]
    count(r4) == 0
    count(r1) + count(r2) == 1 # Warning mode is off
    count(r3) + count(r4) == 1 # Warning mode is on
}

test_lambda_without_vpc_valid {
    i := data.mock.valid_lambda_with_vpc
    r1 := warn_lambda_without_vpc with input as i with data.config.warn_mode as []
    r2 := warn_lambda_without_vpc with input as i with data.config.warn_mode as ["lambda_without_vpc"]
    r3 := deny_lambda_without_vpc with input as i with data.config.warn_mode as []
    r4 := deny_lambda_without_vpc with input as i with data.config.warn_mode as ["lambda_without_vpc"]
    count(r1) + count(r2) + count(r3) + count(r4) == 0
}